package md

type GetDynamicReq struct {
	BeginAt  string `json:"begin_at"` // 开始时间
	EndAt    string `json:"end_at"`   // 结束时间
	Uid      string `json:"uid"`      // 创建人id
	Nickname string `json:"nickname"` // 创建人名称
	Page     int    `json:"page"`     // 页数
	Limit    int    `json:"limit"`    // 页面大小
}

type UserIdsGetFromNickname struct {
	Id int64 `xorm:"id"`
}

type EggFriendCircleNode struct {
	IndexId   string `json:"index_id"`                         // 动态id
	Uid       int64  `json:"uid" label:"uid"`                  // 用户id
	Username  string `json:"username"`                         // 用户名称
	Kind      int32  `json:"kind"  label:"类型(1:普通 2:官方)"`      // 类型(1:普通 2:官方)
	Content   string `json:"content" label:"文本内容"`             // 文本内容
	Image     string `json:"image" label:"图片"`                 // 图片
	Video     string `json:"video" label:"视频"`                 // 视频
	State     int32  `json:"state" label:"状态(1:正常 2:隐藏)"`      // 状态(1:正常 2:隐藏)
	IsTopUp   int32  `json:"is_top_up" label:"是否置顶(1:是 2:否)"`  // 是否置顶(1:是 2:否)
	IsPraise  int32  `json:"is_praise" label:"是否被表扬(1:是 2:否)"` // 是否被表扬(1:是 2:否)
	CreatedAt string `json:"created_at"`
	UpdatedAt string `json:"updated_at"`
}
type DynamicRespNode struct {
	IndexId   string   `json:"index_id"`                         // 动态id
	Uid       int64    `json:"uid" label:"uid"`                  // 用户id
	Username  string   `json:"username"`                         // 用户名称
	Kind      int32    `json:"kind"  label:"类型(1:普通 2:官方)"`      // 类型(1:普通 2:官方)
	Content   string   `json:"content" label:"文本内容"`             // 文本内容
	Image     []string `json:"image" label:"图片"`                 // 图片
	Video     []string `json:"video" label:"视频"`                 // 视频
	State     int32    `json:"state" label:"状态(1:正常 2:隐藏)"`      // 状态(1:正常 2:隐藏)
	IsTopUp   int32    `json:"is_top_up" label:"是否置顶(1:是 2:否)"`  // 是否置顶(1:是 2:否)
	IsPraise  int32    `json:"is_praise" label:"是否被表扬(1:是 2:否)"` // 是否被表扬(1:是 2:否)
	CreatedAt string   `json:"created_at"`
	UpdatedAt string   `json:"updated_at"`
}

type GetDynamicResp struct {
	List     []DynamicRespNode `json:"list"`
	Paginate Paginate          `json:"paginate"` // 分页信息
}

type UpdateDynamicReq struct {
	IndexId  string `json:"index_id" binding:"required"`      // 动态id
	State    int32  `json:"state" label:"状态(1:正常 2:隐藏)"`      // 状态(1:正常 2:隐藏)
	IsTopUp  int32  `json:"is_top_up" label:"是否置顶(1:是 2:否)"`  // 是否置顶(1:是 2:否)
	IsPraise int32  `json:"is_praise" label:"是否被表扬(1:是 2:否)"` // 是否被表扬(1:是 2:否)
}

type DeleteDynamicReq struct {
	IndexId string `json:"index_id"` // 动态id
}

type ReleaseDynamicReq struct {
	Kind     int32    `json:"kind"`      // 类型(1:普通 2:官方)
	Content  string   `json:"content"`   // 文本内容
	Image    []string `json:"image"`     // 图片
	Video    []string `json:"video"`     // 视频
	State    int32    `json:"state"`     // 状态(1:正常 2:隐藏)
	IsTopUp  int32    `json:"is_top_up"` // 是否置顶(1:是 2:否)
	IsPraise int32    `json:"is_praise"` // 是否被表扬(1:是 2:否)
}
