package md

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type StatisticsEggPointReq struct {
	Year string `json:"year" example:"年份"`
	Week string `json:"week" example:"周份"`
}

type UserEggIndexReq struct {
	Year string `json:"year" example:"年份"`
	Week string `json:"week" example:"周份"`
}

type StatisticsEggPointResp struct {
	Year                                                      string              `json:"year" example:"年份"`
	Week                                                      string              `json:"week" example:"周份"`
	YearAndWeekList                                           map[string][]string `json:"year_list"`                                                          //年份&&周份列表
	StatisticsUserEggEcpmRange                                []map[string]string `json:"statistics_user_egg_ecpm_range"`                                     //统计用户"ecpm"范围
	StatisticsUserEggInviteUserNumsRange                      []map[string]string `json:"statistics_user_egg_invite_user_nums_range"`                         //统计用户"拉新人数"范围
	StatisticsUserEggTeamActivityNumsRange                    []map[string]string `json:"statistics_user_egg_team_activity_nums_range"`                       //统计用户"团队活跃次数"范围
	StatisticsUserEggSignInNumsRange                          []map[string]string `json:"statistics_user_egg_sign_in_nums_range"`                             //统计用户"签到次数"范围
	StatisticsUserEggSendRedPackageNumsRange                  []map[string]string `json:"statistics_user_egg_send_red_package_nums_range"`                    //统计用户"发红包次数"范围
	StatisticsUserEggEggEnergyExchangeAccountBalanceRange     []map[string]string `json:"statistics_user_egg_egg_energy_exchange_account_balance_range"`      //统计用户"蛋蛋能量兑换余额数量"范围
	StatisticsUserEggAccountBalanceExchangeEggEnergyNumsRange []map[string]string `json:"statistics_user_egg_account_balance_exchange_egg_energy_nums_range"` //统计用户"余额兑换蛋蛋能量数量"范围
	StatisticsUserEggSendCircleOfFriendNumsRange              []map[string]string `json:"statistics_user_egg_send_circle_of_friend_nums_range"`               //统计用户"发朋友圈次数"范围
	StatisticsUserEggForumCommentsNumsRange                   []map[string]string `json:"statistics_user_egg_forum_comments_nums_range"`                      //统计用户"论坛评论次数"范围
	StatisticsUserEggCollegeLearningNumsRange                 []map[string]string `json:"statistics_user_egg_college_learning_nums_range"`                    //统计用户"学院学习次数"范围
	StatisticsUserEggViolateNumsRange                         []map[string]string `json:"statistics_user_egg_violate_nums_range"`                             //统计用户"违规次数"范围
	StatisticsUserEggBrowseInterfaceNumsRange                 []map[string]string `json:"statistics_user_egg_browse_interface_nums_range"`                    //统计用户"浏览界面次数"范围
	StatisticsUserEggPersonAddActivityValueRange              []map[string]string `json:"statistics_user_egg_person_add_activity_value_range"`                //统计用户"个人活跃积分增量值"范围
}

type UserEggIndexResp struct {
	Year                             string                             `json:"year" example:"年份"`
	Week                             string                             `json:"week" example:"周份"`
	YearAndWeekList                  map[string][]string                `json:"year_list"`                             //年份&&周份列表
	StatisticsUserEggScoreValueRange []map[string]string                `json:"statistics_user_egg_score_value_range"` //统计用户蛋蛋分范围
	StatisticsUserEggKindProportion  []map[string]interface{}           `json:"statistics_user_egg_kind_proportion"`   //统计用户蛋蛋分"评比类型"占比 (count: 数量、name: 评分类型、proportion: 占比)
	EggEnergyUserEggIndexWeight      *model.EggEnergyUserEggIndexWeight `json:"egg_energy_user_egg_index_weight"`      //蛋蛋分系数权重
}

type UserEggFlowReq struct {
	Page                                     int    `json:"page,required"`      // 页数
	PageSize                                 int    `json:"page_size,required"` // 每页大小
	Year                                     string `json:"year" example:"年份"`
	Week                                     string `json:"week" example:"周份"`
	ScoreValueStart                          string `json:"score_value_start" example:"蛋蛋分-起始值"`
	ScoreValueEnd                            string `json:"score_value_end" example:"蛋蛋分-结束值"`
	ScoreValueKind                           int    `json:"score_value_kind"` //评分类型(0:未知 1:人工 2:系统)
	EcpmStart                                string `json:"ecpm_start" example:"ecpm-起始值"`
	EcpmEnd                                  string `json:"ecpm_end" example:"ecpm-结束值"`
	InviteUserNumsStart                      string `json:"invite_user_nums_start" example:"拉新人数-起始值"`
	InviteUserNumsEnd                        string `json:"invite_user_nums_end" example:"拉新人数-结束值"`
	TeamActivityNumsStart                    string `json:"team_activity_nums_start" example:"团队活跃次数-起始值"`
	TeamActivityNumsEnd                      string `json:"team-activity-nums-end" example:"团队活跃次数-结束值"`
	SignInNumsStart                          string `json:"sign_in_nums_start" example:"签到次数-起始值"`
	SignInNumsEnd                            string `json:"sign_in_nums_end" example:"签到次数-结束值"`
	ImActivityNumsStart                      string `json:"im_activity_nums_start" example:"im活跃次数-起始值"`
	ImActivityNumsEnd                        string `json:"im_activity_nums_end" example:"im活跃次数-结束值"`
	SendRedPackageNumsStart                  string `json:"send_red_package_nums_start" example:"发红包次数-起始值"`
	SendRedPackageNumsEnd                    string `json:"send_red_package_nums_end" example:"发红包次数-结束值"`
	EggEnergyExchangeAccountBalanceStart     string `json:"egg_energy_exchange_account_balance_start" example:"蛋蛋能量兑换余额数量-起始值"`
	EggEnergyExchangeAccountBalanceEnd       string `json:"egg_energy_exchange_account_balance_end" example:"蛋蛋能量兑换余额数量-结束值"`
	AccountBalanceExchangeEggEnergyNumsStart string `json:"account_balance_exchange_egg_energy_nums_start" example:"余额兑换蛋蛋能量数量-起始值"`
	AccountBalanceExchangeEggEnergyNumsEnd   string `json:"account_balance_exchange_egg_energy_nums_end" example:"余额兑换蛋蛋能量数量-结束值"`
	SendCircleOfFriendNumsStart              string `json:"send_circle_of_friend_nums_start" example:"发朋友圈次数-起始值"`
	SendCircleOfFriendNumsEnd                string `json:"send_circle_of_friend_nums_end" example:"发朋友圈次数-结束值"`
	ForumCommentsNumsStart                   string `json:"forum_comments_nums_start" example:"论坛评论次数-起始值"`
	ForumCommentsNumsEnd                     string `json:"forum_comments_nums_end" example:"论坛评论次数-结束值"`
	CollegeLearningNumsStart                 string `json:"college_learning_nums_start" example:"学院学习次数-起始值"`
	CollegeLearningNumsEnd                   string `json:"college_learning_nums_end" example:"学院学习次数-结束值"`
	ViolateNumsStart                         string `json:"violate_nums_start" example:"违规次数-起始值"`
	ViolateNumsEnd                           string `json:"violate_nums_end" example:"违规次数-结束值"`
	BrowseInterfaceNumsStart                 string `json:"browse_interface_nums_start" example:"浏览界面次数-起始值"`
	BrowseInterfaceNumsEnd                   string `json:"browse_interface_nums_end" example:"浏览界面次数-结束值"`
	PersonAddActivityValueStart              string `json:"person_add_activity_value_start" example:"个人活跃积分-起始值"`
	PersonAddActivityValueEnd                string `json:"person_add_activity_value_end" example:"个人活跃积分-结束值"`
}

type ManualScoreReq struct {
	IndexId string `json:"index_id,required"` //文档id
	Score   string `json:"score" example:"分数"`
}

type UserEggFlowReqResp struct {
	ScoreValueKindMap []map[string]interface{} `json:"score_value_kind_map"` // 评分类型(0:未知 1:人工 2:系统)
	Page              int                      `json:"page,required"`        // 页数
	PageSize          int                      `json:"page_size,required"`   // 每页大小
	Year              string                   `json:"year" example:"年份"`
	Week              string                   `json:"week" example:"周份"`
	Total             int64                    `json:"total"` //总数量
	List              []UserEggFlowReqRespList `json:"list"`
}

type UserEggFlowReqRespList struct {
	IndexId                             string  `json:"index_id"`                                 //文档id
	ScoreValue                          float64 `json:"score_value"`                              //蛋蛋分-起始值
	ScoreValueKind                      int     `json:"score_value_kind"`                         //评分类型(0:未知 1:人工 2:系统)
	Ecpm                                float64 `json:"ecpm"`                                     //ecpm
	InviteUserNums                      int     `json:"invite_user_nums"`                         //拉新人数
	TeamActivityNums                    int     `json:"team_activity_nums"`                       //团队活跃次数
	SignInNums                          int     `json:"sign_in_nums"`                             //签到次数
	ImActivityNums                      int     `json:"im_activity_nums"`                         //im活跃次数
	SendRedPackageNums                  int     `json:"send_red_package_nums"`                    //发红包次数
	EggEnergyExchangeAccountBalance     int     `json:"egg_energy_exchange_account_balance"`      //蛋蛋能量兑换余额数量
	AccountBalanceExchangeEggEnergyNums int     `json:"account_balance_exchange_egg_energy_nums"` //余额兑换蛋蛋能量数量
	SendCircleOfFriendNums              int     `json:"send_circle_of_friend_nums"`               //发朋友圈次数
	ForumCommentsNums                   int     `json:"forum_comments_nums"`                      //论坛评论次数
	CollegeLearningNums                 int     `json:"college_learning_nums"`                    //学院学习次数
	ViolateNums                         int     `json:"violate_nums"`                             //违规次数
	BrowseInterfaceNums                 int     `json:"browse_interface_nums"`                    //浏览界面次数
	PersonAddActivityValue              int     `json:"person_add_activity_value"`                //个人活跃积分
}
