package user_real_name

import (
	"applet/app/db"
	"applet/app/e"
	"applet/app/md"
	"applet/app/utils"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/implement"
	"github.com/gin-gonic/gin"
)

func List(c *gin.Context) {
	var req *md.UserRealNameReq
	if err := c.ShouldBindJSON(&req); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	if req.Phone != "" {
		req.Uid = "-1"
		NewUserDb := implement.NewUserDb(db.Db)
		user, _ := NewUserDb.UserGetOneByParams(map[string]interface{}{
			"key":   "phone",
			"value": req.Phone,
		})
		if user != nil {
			req.Uid = utils.Int64ToStr(user.Id)
		}
	}
	var resp md.UserRealNameResp
	noticeList := make([]md.UserRealName, 0)
	NewCloudBundleDb := implement.NewUserRealNameAuthDb(db.Db)
	notice, total, _ := NewCloudBundleDb.FindRealNameAndTotal(req.Page, req.Limit, req.Uid, req.Name, req.IdNo, req.State)
	resp.Total = total
	if notice != nil {
		NewUserDb := implement.NewUserDb(db.Db)
		for _, v := range *notice {
			phone := ""
			user, _ := NewUserDb.UserGetOneByParams(map[string]interface{}{
				"key":   "id",
				"value": v.Uid,
			})
			if user != nil {
				phone = user.Phone
			}
			tmp := md.UserRealName{
				Id:         utils.IntToStr(v.Id),
				Uid:        utils.IntToStr(v.Uid),
				Phone:      phone,
				Name:       v.RealName,
				IdNo:       v.CardNo,
				PayState:   utils.IntToStr(v.IsPay),
				State:      utils.IntToStr(v.State),
				CreateTime: v.CreateTime.Format("2006-01-02 15:04:05"),
			}
			noticeList = append(noticeList, tmp)
		}
	}
	resp.List = noticeList
	resp.SelectData = []map[string]string{
		{"value": "0", "name": "未认证"},
		{"value": "1", "name": "认证成功"},
		{"value": "2", "name": "认证失败"},
	}
	e.OutSuc(c, resp, nil)
	return
}
func Save(c *gin.Context) {
	var req *md.UserRealNameSaveReq
	if err := c.ShouldBindJSON(&req); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	NewUserRealNameAuthDb := implement.NewUserRealNameAuthDb(db.Db)
	data, _ := NewUserRealNameAuthDb.GetRealNameAuthById(req.Id)
	if data == nil {
		e.OutErr(c, 400, e.NewErr(400, "记录不存在"))
		return
	}
	data.State = utils.StrToInt(req.State)
	db.Db.Where("id=?", data.Id).Cols("state").Update(data)
	e.OutSuc(c, "success", nil)
	return
}
